=== debian/changelog ===
fpga-icestorm (0~20190913git0ec00d8-2) unstable; urgency=medium

  * Fix GCC-10 build with missing include (Closes: #957222)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 13 Oct 2020 08:10:46 +0000

fpga-icestorm (0~20190913git0ec00d8-1) unstable; urgency=medium

  * New upstream version
  * d/patches/0004-Remove-hard-coded-path-in-icebox_vlog.py.patch:
    - Fix hard-coded erroneous path (Closes: #931071)
  * debian/control:
    - New standards version 4.4.1 - no changes
    - DH level 12
    - Use debhelper-compat

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 19 Oct 2019 22:54:53 +0200
