=== debian/watch ===
version=4
opts=mode=git,\
dversionmangle=s/0~(\d{8})git([a-f0-9]{7})/0\.0~git$1\.$2/,\
oversionmangle=s/0\.0~git(\d{8})\.([a-f0-9]{7})$/0~$1git$2/ \
https://github.com/cliffordwolf/icestorm.git \
HEAD debian uupdate
