=== debian/changelog ===
fpga-icestorm (0~20220102git3b7b199-3) unstable; urgency=medium

  * d/rules missed conditional

 -- Daniel Gröber <dxld@darkboxed.org>  Thu, 20 Jan 2022 02:10:51 +0100

fpga-icestorm (0~20220102git3b7b199-2) unstable; urgency=medium

  * Fix chipdb search path  - thanks, Scott! (Closes: #1003968)
  * Suggest nextpnr instead of deprecated arachne-pnr
  * Fix arch:all build (Closes: #1003984)

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 19 Jan 2022 00:18:10 +0100

fpga-icestorm (0~20220102git3b7b199-1) unstable; urgency=medium

  * Update debian/watch URL
  * New upstream version 0~20220102git3b7b199
  * Replace fragile makefile patch with dh_install
  * Remove CFLAGS/CXXFLAGS patch
  * Refresh patches
  * Fix lintian warnings
  * Update debian/copyright
  * Update debian/control
    - Fix upstream URLs
    - Update package description, more devices are supported now
    - New standards version 4.6.0 - no changes
    - R-R-R: no

 -- Daniel Gröber <dxld@darkboxed.org>  Thu, 13 Jan 2022 09:55:07 +0100
