## fpga-icestorm 0~20220603git2bc5417

=== debian/changelog ===
fpga-icestorm (0~20220603git2bc5417-2) unstable; urgency=medium

  * Disable autopkgtest on s390x due to missing yosys (Closes: #1016133)
  * Override lintian false-positive

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 30 Jul 2022 17:11:11 +0200

fpga-icestorm (0~20220603git2bc5417-1) unstable; urgency=medium

  * Mark can-show-help test as superficial (Closes: #974487)
  * Add autopkgtest to compile examples
  * Fix Appstream metainfo-license-invalid error
  * Add myself to Uploaders
  * New upstream version 0~20220603git2bc5417

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 18 Jun 2022 23:39:56 +0200
