=== debian/tests/control ===
Tests: can-show-help
Depends: @
Restrictions: superficial

Tests: examples-compile
Depends: fpga-icestorm-chipdb, yosys, arachne-pnr
Restrictions: rw-build-tree allow-stderr
Architecture: !s390x
