## fpga-icestorm 0~20220915gita545498

=== debian/changelog ===
fpga-icestorm (0~20220915gita545498-3) unstable; urgency=medium

  * Fix autopkgtest, examples-compile now needs nextpnr

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 16 Nov 2022 23:51:42 +0100

fpga-icestorm (0~20220915gita545498-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Daniel Gröber <dxld@darkboxed.org>  Sun, 13 Nov 2022 23:31:00 +0100

fpga-icestorm (0~20220915gita545498-1) unstable; urgency=medium

  * New upstream version 0~20220915gita545498
  * Fix source-is-missing lintian override

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 29 Oct 2022 21:23:58 +0200
