=== debian/changelog ===
fpga-icestorm (0~20230218gitd20a5e9-1~deb12u1) bookworm; urgency=medium

  * Fix yosys incompatibility (Closes: #1055171)

 -- Daniel Gröber <dxld@darkboxed.org>  Thu, 02 Nov 2023 11:10:26 +0100

fpga-icestorm (0~20230218gitd20a5e9-1) unstable; urgency=medium

  * New upstream version 0~20230218gitd20a5e9

 -- Daniel Gröber <dxld@darkboxed.org>  Tue, 13 Jun 2023 14:52:48 +0200

fpga-icestorm (0~20220915gita545498-4) unstable; urgency=medium

  * autopkgtest: Fix missing icetime command
  * Refresh patches
  * Add patch fixing up5k_rgb icetime failure

 -- Daniel Gröber <dxld@darkboxed.org>  Tue, 13 Jun 2023 11:56:01 +0200
