=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: fpga-icestorm
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
-Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
+Uploaders: Ruben Undheim <ruben.undheim@gmail.com>,
+           Daniel Gröber <dxld@darkboxed.org>
 Section: electronics
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
