=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	dh_auto_clean
 	$(RM) debian/man/*.1
 	$(RM) -r icebox/__pycache__
+	for dir in examples/*/; do make -C $$dir clean; done
 
 override_dh_auto_install:
 	PREFIX=/usr dh_auto_install
